<!--NAUDOJAMA BOOTSTRAP VERSION 4.6! -->
<!DOCTYPE html>
{% load static %}
<html lang="en">
<head>
    <meta charset="UTF-8">
    <link rel="stylesheet" href="{% static 'css/mystyle.css' %}" />
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/css/bootstrap.min.css" integrity="sha384-B0vP5xmATw1+K9KRQjQERJvTumQW0nPEzvF6L/Z6nronJ3oUOFUFpCjEUQouq2+l" crossorigin="anonymous">
    <title>DoVision</title>
</head>
<body>
    <div class="container">
        <div class="jumbotron">
            {% block content %}
            {% if user.is_authenticated %}
            <h2 class="display-4">Hi {{ user.username }}!</h2>
                <p><a class="btn btn-secondary btn-sm" href="{% url 'logout' %}">Log Out</a></p>
            {% else %}
                <p>You are not logged in <a class="btn btn-primary btn-sm" href="{% url 'login' %}">Log In</a>&nbsp;or&nbsp;<a class="btn btn-primary btn-sm" href="{% url 'signup' %}">Sign Up</a></p>
            {% endif %}

            <h1 class="display-4">Welcome to DoVision!</h1>
            <p class="lead">A simple to do list app.</p>
            <hr class="my-4">
            <p>Add new TODO task by pressing ENTER or Submit button:</p>
            {% endblock %}

            <form method="POST" action="/">
                {% csrf_token %}
                {{ form.title }}
                <input class="btn btn-primary btn-sm" type="submit" name="Add Task">
            </form>

                <ol class="taskList" style="line-height: 80%">
                    {% for task in tasks %}
                        <div>
                            <br>
                                <li>
                                <a class="btn btn-secondary btn-sm" href="{% url 'update_task' task.id %}">Update</a>
                                <a class="btn btn-secondary btn-sm" href="{% url 'delete' task.id %}">Delete</a>
                                {% if task.completed == True %}
                                <strike>{{task}}</strike>
                                {% else %}
                                <span>{{task}}</span>
                                    <span>{{ now }}</span>
                                {% endif %}
                                </li>
                        </div>
                    {% endfor %}
                </ol>
        </div>
    </div>

</body>
</html>